summaryrefslogtreecommitdiffstats
path: root/current
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2012-06-24 21:05:01 +0000
committer Eric Hameleers <alien@slackware.com>2012-06-24 21:05:01 +0000
commita62f745fe9d019127b335cea344b57143df4c3f3 (patch)
tree4d4b25971691be5e7839f429d8c32adc81f017ce /current
parent81bc7947e25b9f7257561818cde16c79c923e5c4 (diff)
downloadmultilib-a62f745fe9d019127b335cea344b57143df4c3f3.tar.gz
multilib-a62f745fe9d019127b335cea344b57143df4c3f3.tar.xz
Revert a patch that went into 2.15 that causes NPTL related crashes
Diffstat (limited to 'current')
-rwxr-xr-xcurrent/glibc/glibc-multilib.SlackBuild6
1 files changed, 4 insertions, 2 deletions
diff --git a/current/glibc/glibc-multilib.SlackBuild b/current/glibc/glibc-multilib.SlackBuild
index 95894e5..54002ad 100755
--- a/current/glibc/glibc-multilib.SlackBuild
+++ b/current/glibc/glibc-multilib.SlackBuild
@@ -30,7 +30,7 @@
VERSION=${VERSION:-2.15}
CHECKOUT=${CHECKOUT:-""}
-BUILD=${BUILD:-3alien}
+BUILD=${BUILD:-4alien}
## Included in glibc now:
## glibc-libidn version
@@ -203,6 +203,8 @@ apply_patches() {
zcat $CWD/glibc.git-6ee65ed6ddbf04402fad0bec6aa9c73b9d982ae4.diff.gz | patch -p1 --verbose || exit 1
# Upstream patch to fix crashes when nscd is not running:
zcat $CWD/glibc-2.15.nscd-race-fix.diff.gz | patch -p1 --verbose || exit 1
+ # Revert a patch that went into 2.15 that causes NPTL related crashes:
+ zcat $CWD/glibc-2.15-revert-c5a0802a.diff.gz | patch -p1 --verbose || exit 1
if [ $BOOTSTRP -eq 1 ] ; then
# Multilib - Disable check for forced unwind (Patch from eglibc) since we
# do not have a multilib glibc yet to link to;
@@ -300,7 +302,7 @@ build_glibc() {
../configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
- --enable-kernel=2.6.18 \
+ --enable-kernel=2.6.32 \
--with-headers=/usr/include \
--enable-add-ons=libidn,nptl \
--enable-profile \